Debian Bug report logs - #579519
grub-installer - Overwrites bootloaders on different device

version graph

Package: grub-installer; Maintainer for grub-installer is Debian Install System Team <debian-boot@lists.debian.org>; Source for grub-installer is src:grub-installer.

Reported by: Bastian Blank <waldi@debian.org>

Date: Wed, 28 Apr 2010 09:57:01 UTC

Severity: serious

Tags: d-i, sid, squeeze

Merged with 568529, 589823, 603942, 604992, 605562, 609314

Found in versions grub-installer/0.50, grub-installer/1.49, grub-installer/1.56, grub-installer/1.57, grub-installer/1.58

Fixed in version grub-installer/1.59

Done: Otavio Salvador <otavio@ossystems.com.br>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#579519; Package grub-installer. (Wed, 28 Apr 2010 09:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Wed, 28 Apr 2010 09:57:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: submit@bugs.debian.org
Subject: grub-installer - Overwrites bootloaders on different device
Date: Wed, 28 Apr 2010 11:55:51 +0200
Package: grub-installer
Version: 0.50
Severity: critical

grub-installer managed to overwrite the bootloader on the usb stick I
used to boot the installer instead of the root device.

Bastian

-- 
Youth doesn't excuse everything.
		-- Dr. Janice Lester (in Kirk's body), "Turnabout Intruder",
		   stardate 5928.5.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#579519; Package grub-installer. (Wed, 19 May 2010 09:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Wed, 19 May 2010 09:21:04 GMT) Full text and rfc822 format available.

Message #10 received at submit@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: submit@bugs.debian.org
Subject: Re: Bug#579519: grub-installer - Overwrites bootloaders on different device
Date: Wed, 19 May 2010 11:16:29 +0200
On Wed, Apr 28, 2010 at 11:55:51AM +0200, Bastian Blank wrote:
> grub-installer managed to overwrite the bootloader on the usb stick I
> used to boot the installer instead of the root device.

It calls grub-install instead of grub-setup.

Bastian

-- 
I object to intellect without discipline;  I object to power without
constructive purpose.
		-- Spock, "The Squire of Gothos", stardate 2124.5




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#579519; Package grub-installer. (Wed, 19 May 2010 09:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Wed, 19 May 2010 09:27:03 GMT) Full text and rfc822 format available.

Message #15 received at 579519@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: 579519@bugs.debian.org
Subject: Re: Bug#579519: grub-installer - Overwrites bootloaders on different device
Date: Wed, 19 May 2010 11:24:28 +0200
On Wed, May 19, 2010 at 11:16:29AM +0200, Bastian Blank wrote:
> On Wed, Apr 28, 2010 at 11:55:51AM +0200, Bastian Blank wrote:
> > grub-installer managed to overwrite the bootloader on the usb stick I
> > used to boot the installer instead of the root device.
> It calls grub-install instead of grub-setup.

If noone have a better solution, I'll start to switch over
grub-installer to grub2-only and use grub-setup.

Bastian

-- 
If some day we are defeated, well, war has its fortunes, good and bad.
		-- Commander Kor, "Errand of Mercy", stardate 3201.7




Forcibly Merged 568529 579519. Request was from Bastian Blank <waldi@debian.org> to control@bugs.debian.org. (Wed, 19 May 2010 15:34:18 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#579519; Package grub-installer. (Thu, 03 Jun 2010 16:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Thu, 03 Jun 2010 16:54:03 GMT) Full text and rfc822 format available.

Message #22 received at 579519@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: Bastian Blank <waldi@debian.org>
Cc: 579519@bugs.debian.org
Subject: Re: Bug#579519: grub-installer - Overwrites bootloaders on different device
Date: Thu, 3 Jun 2010 17:51:54 +0100
On Wed, May 19, 2010 at 11:24:28AM +0200, Bastian Blank wrote:
> On Wed, May 19, 2010 at 11:16:29AM +0200, Bastian Blank wrote:
> > On Wed, Apr 28, 2010 at 11:55:51AM +0200, Bastian Blank wrote:
> > > grub-installer managed to overwrite the bootloader on the usb stick I
> > > used to boot the installer instead of the root device.
> > It calls grub-install instead of grub-setup.
> 
> If noone have a better solution, I'll start to switch over
> grub-installer to grub2-only and use grub-setup.

Huh?  Don't use grub-setup - use grub-install.  Calling grub-setup
directly is strictly for experts and is not generally supported.  I'll
revert changes to grub-installer to use grub-setup, as they will
certainly be incorrect.

This bug has roughly nothing to do with whether you use grub-install or
grub-setup, and doesn't require the removal of GRUB Legacy support.  I
expect that it will be sorted out by using stable device names in GRUB,
for which there are already other bug reports.

-- 
Colin Watson                                       [cjwatson@debian.org]




Forcibly Merged 568529 579519 589823. Request was from Piotr Lewandowski <piotr.lewandowski@gmail.com> to control@bugs.debian.org. (Wed, 21 Jul 2010 12:36:04 GMT) Full text and rfc822 format available.

Added tag(s) sid and squeeze. Request was from Gerfried Fuchs <rhonda@debian.at> to control@bugs.debian.org. (Mon, 26 Jul 2010 11:09:04 GMT) Full text and rfc822 format available.

Message sent on to Bastian Blank <waldi@debian.org>:
Bug#579519. (Sat, 30 Oct 2010 16:27:11 GMT) Full text and rfc822 format available.

Message #29 received at 579519-submitter@bugs.debian.org (full text, mbox):

From: Gaudenz Steinlin <gaudenz@debian.org>
To: 579519-submitter@bugs.debian.org, 568529-submitter@bugs.debian.org, 589823-submitter@bugs.debian.org
Subject: Re: Bug#579519: grub-installer - Overwrites bootloaders on different device
Date: Sat, 30 Oct 2010 18:19:41 +0200
[Message part 1 (text/plain, inline)]
Hi everyone

You all reported issues with installing debian with debian-installer
from usb sticks. The issue was that grub2 got installed on the mbr of
the stick instead to the harddisk. But none of you sumitted a full
installation log or more detailed information about your hardware. 

Can you please send the output of the following commands with the usb
stick inserted and without it:
grub-mkdevicemap --no-floppy -m -
readlink -f $(grub-mkdevicemap --no-floppy -m - | head -n1 | cut -f2)

Also the installation log and hardware summary would be interesting if
you still have it. It can be found in /var/log/installer

Even more usefull would be if you could retry the installation using
the latest beta1 images:
http://cdimage.debian.org/cdimage/squeeze_di_beta1/

Gaudenz

Excerpts from Bastian Blank's message of Mit Apr 28 11:55:51 +0200 2010:
> Package: grub-installer
> Version: 0.50
> Severity: critical
> 
> grub-installer managed to overwrite the bootloader on the usb stick I
> used to boot the installer instead of the root device.
> 
> Bastian
> 
--
Ever tried. Ever failed. No matter.
Try again. Fail again. Fail better.
~ Samuel Beckett ~
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#579519; Package grub-installer. (Thu, 04 Nov 2010 09:21:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gaudenz Steinlin <gaudenz@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Thu, 04 Nov 2010 09:21:11 GMT) Full text and rfc822 format available.

Message #34 received at 579519@bugs.debian.org (full text, mbox):

From: Gaudenz Steinlin <gaudenz@debian.org>
To: debian-boot <debian-boot@lists.debian.org>
Cc: 579519@bugs.debian.org
Subject: Re: d-i meeting summary - 2010.11.03
Date: Thu, 04 Nov 2010 10:14:14 +0100
[Message part 1 (text/plain, inline)]
Hi 

Unfortunately I could not attend the meeting.

Excerpts from Miguel Figueiredo's message of Mit Nov 03 23:20:29 +0100 2010:
> Current isues:
> =========
> 
> * Known blockers:
> 1 - #519254 - Debian Lenny/s390 - unable to boot with a dedicated /boot 
> partition
> 2 - #599203 - data corruption due to os-prober
> 3 - #589701 - problems with yaboot for powerpc with added controller
> 4 - issue with initramfs-tools affecting s390
> fixed! - #600852 - apt problem due to empty indexes
5 - #579519 - grub-installer writing the bootloader to the usb disk
    instead of the primary boot device. (merged with 568529, 589823).
    I would consider this a blocker as well. I looked into this during
    the Paris BSP, but as I could not create a virtualized environment
    to reproduce it I gave up. But looking at the grub installer code
    it seems quite likely that the bug is still present.

Gaudenz
--
Ever tried. Ever failed. No matter.
Try again. Fail again. Fail better.
~ Samuel Beckett ~
[signature.asc (application/pgp-signature, attachment)]

Forcibly Merged 568529 579519 589823 605562. Request was from Gaudenz Steinlin <gaudenz@debian.org> to control@bugs.debian.org. (Wed, 01 Dec 2010 11:00:09 GMT) Full text and rfc822 format available.

Bug No longer marked as fixed in versions grub-installer/1.57 and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 02 Dec 2010 10:39:06 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'critical' Request was from Alexander Reichle-Schmehl <tolimar@debian.org> to control@bugs.debian.org. (Thu, 02 Dec 2010 10:39:08 GMT) Full text and rfc822 format available.

Merged 568529 579519 589823 604992 605562. Request was from Joachim Schleicher <joachimsl@gmx.de> to control@bugs.debian.org. (Fri, 31 Dec 2010 10:31:15 GMT) Full text and rfc822 format available.

Bug Marked as found in versions grub-installer/1.57. Request was from Joachim Schleicher <joachimsl@gmx.de> to control@bugs.debian.org. (Fri, 31 Dec 2010 10:31:19 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'important' Request was from Joachim Schleicher <joachim@dormettingen.de> to control@bugs.debian.org. (Mon, 03 Jan 2011 13:33:06 GMT) Full text and rfc822 format available.

Removed tag(s) moreinfo. Request was from Joachim Schleicher <joachim@dormettingen.de> to control@bugs.debian.org. (Mon, 03 Jan 2011 13:33:10 GMT) Full text and rfc822 format available.

Merged 568529 579519 589823 603942 604992 605562. Request was from Joachim Schleicher <joachimsl@gmx.de> to control@bugs.debian.org. (Mon, 03 Jan 2011 13:57:12 GMT) Full text and rfc822 format available.

Bug Marked as found in versions grub-installer/1.58. Request was from Alexander Reichle-Schmehl <tolimar@debian.org> to control@bugs.debian.org. (Tue, 11 Jan 2011 12:18:04 GMT) Full text and rfc822 format available.

Merged 568529 579519 589823 603942 604992 605562 609722. Request was from Joachim Schleicher <joachimsl@gmx.de> to control@bugs.debian.org. (Fri, 14 Jan 2011 17:39:15 GMT) Full text and rfc822 format available.

Forcibly Merged 568529 579519 589823 603942 604992 605562 609314 609722. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Sat, 15 Jan 2011 13:27:09 GMT) Full text and rfc822 format available.

Disconnected #609722 from all other report(s). Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Sun, 23 Jan 2011 19:45:06 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 12 Aug 2011 07:36:29 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 11:00:39 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.